function Update(self)
	if self.isready then
		if MovableMan:IsActor(self.rbrain) then
			for actor in MovableMan.Actors do
				if actor.Team ~= self.Team and ((actor.AIMode == Actor.AIMODE_GOTO and not actor:GetLastAIWaypoint() == self.Pos) or actor.AIMode == Actor.AIMODE_BRAINHUNT) then
					actor:ClearAIWaypoints()
					actor.AIMode = Actor.AIMODE_GOTO
					actor:AddAISceneWaypoint(self.Pos)
				end
			end
			if self.Health < 50 then --simulate gib wound limit
				ActivityMan:GetActivity():ReportDeath(self.Team,-1);
				for actor in MovableMan.Actors do
					if actor.Team ~= self.Team then
						dist = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX)
						if dist.Magnitude < 250 then
							actor.Health = actor.Health - (7500/((0.01*SceneMan:CastStrengthSumRay(self.Pos,actor.Pos,0,0))+1+0.1*dist.Magnitude+actor.Mass/100)) --using mehman's algo
						end
					end
				end
				ActivityMan:GetActivity():SetPlayerBrain(self.rbrain, self.rplayer)
				lockbrain = false
				self.setlock = false
				self:GibThis()
			end
		else
				lockbrain = false
				self.setlock = false
			self:GibThis()
		end
	elseif ActivityMan:GetActivity().ActivityState == 3 and self.rtimer:IsPastSimMS(100) and not lockbrain then
		for player = Activity.PLAYER_1, Activity.MAXPLAYERCOUNT - 1 do
			if ActivityMan:GetActivity():GetTeamOfPlayer(player) == self.Team then
				if ActivityMan:GetActivity():GetPlayerBrain(player).PresetName ~= "Fake Brain Case" then
					self.rplayer = player
					self.rbrain = ActivityMan:GetActivity():GetPlayerBrain(player)
					ActivityMan:GetActivity():SetPlayerBrain(self, player)
					self.isready = true
					lockbrain = true
					self.setlock = true
					break
				end
			end
		end
	elseif ActivityMan:GetActivity().ActivityState ~= 3 then
		self.rtimer:Reset()
	end
end

function Create(self)
self.rtimer = Timer()
end

function Destroy(self)
if self.setlock then
lockbrain = false
end
ActivityMan:GetActivity():ReportDeath(self.Team,-1);
end