function lengthdir_x_(dist,ang)
	return dist * math.cos(-ang);
end
 
function lengthdir_y_(dist,ang)
	return dist * math.sin(-ang);
end
function Create(self)
	self.mapwrapx = SceneMan.SceneWrapsX;
	self.hunttimer = Timer();
	self.canhunt = true
end
function dohunt(self)
   if self:IsPlayerControlled() == false and self.canhunt == true then
--	self:GetController():SetState(Controller.BODY_CROUCH,false);
    if self:HasObjectInGroup("Weapons") or self:HasObjectInGroup("Tools") then
		if not(MovableMan:IsActor(self.target)) then
			self:ClearAIWaypoints();
			self.lastactor = nil;
			self.lastdist = nil;
			for actor in MovableMan.Actors do
				if actor.Team ~= self.Team and actor.GetsHitByMOs == true and (actor.ClassName == "AHuman" or actor.ClassName == "ACrab" or actor.ClassName == "Actor") then
					local curdist = SceneMan:ShortestDistance(self.Pos,actor.Pos,self.mapwrapx).Magnitude;
					if self.lastdist == nil or (self.lastdist ~= nil and curdist < self.lastdist) then
						self.lastactor = actor;
						self.lastdist = curdist;
					end
				end
			end
			if self.lastactor ~= nil and (MovableMan:IsActor(self.lastactor)) then
				self.target = self.lastactor;
				self:AddAIMOWaypoint(self.target);
				self.AIMode = Actor.AIMODE_GOTO;
		end
		end
    elseif not(self:HasObjectInGroup("Weapons")) or not(self:HasObjectInGroup("Tools")) then
		if not(MovableMan:IsDevice(self.targetgun)) then
			self:ClearAIWaypoints();
			self.lastgun = nil;
			self.lastgundist = nil;
			for item in MovableMan.Items do
				if item.ClassName == "HDFirearm" then
					local guncurdist = SceneMan:ShortestDistance(self.Pos,item.Pos,self.mapwrapx).Magnitude;
					if self.lastgundist == nil or (self.lastgundist ~= nil and guncurdist < self.lastgundist) then
						self.lastgun = item;
						self.lastgundist = guncurdist;
					end
				end
			end
			if self.lastgun ~= nil and (MovableMan:IsDevice(self.lastgun)) then
				self.targetgun = self.lastgun;
				self:AddAIMOWaypoint(self.targetgun);
				self.AIMode = Actor.AIMODE_GOTO;
			end
		else
			if SceneMan:ShortestDistance(self.Pos,self.targetgun.Pos,self.mapwrapx).Magnitude < 6 then
				self:GetController():SetState(Controller.WEAPON_PICKUP,true)
			end
		end
	end
	
	if self.hunttimer:IsPastSimMS(5000) then
		self.hunttimer:Reset();
		self.targetgun = nil;
	end
end
end


function Update(self)
if math.random(math.floor(math.abs(self.Health/2)) + 1) == 1 and self.Health < 100 then
self.Health = self.Health + 1
elseif math.random(math.floor(math.abs(self.Health)) + 1) <= 8 and self.Health < 100 then
local flame =  CreateMOSParticle("Flame 2","Base.rte")
flame.Pos = self.Pos
flame.Pos.Y = flame.Pos.Y - 5
flame.Vel = self.Vel + Vector(math.random(-5,5),math.random(-5,5))
flame.Lifetime = 1000
flame:SetWhichMOToNotHit(self,-1)
MovableMan:AddParticle(flame)
end
if self:GetController():IsState(Controller.MOVE_LEFT) or self:GetController():IsState(Controller.MOVE_RIGHT) then
self:GetController():SetState(Controller.MOVE_FAST,true)
end
if not self:IsPlayerControlled() then
self:GetController():SetState(Controller.BODY_CROUCH ,false)
end
gl = self
if self:GetController():IsState(Controller.WEAPON_FIRE) and math.random(3) == 3 and not (self:HasObjectInGroup("Weapons") or self:HasObjectInGroup("Tools") or self:HasObjectInGroup("Bombs")) then
local attackflame = CreateAEmitter("Particle Coalition Heavy Flamer","Coalition.rte")
attackflame.RotAngle = self:GetAimAngle(true)
attackflame.Pos.X = self.EyePos.X + lengthdir_x_(12,self:GetAimAngle(true))
attackflame.Pos.Y = self.EyePos.Y + lengthdir_y_(12,self:GetAimAngle(true))
attackflame.Vel.X = self.Vel.X + lengthdir_x_(20,self:GetAimAngle(true))
attackflame.Vel.Y = self.Vel.Y + lengthdir_y_(20,self:GetAimAngle(true))
MovableMan:AddParticle(attackflame)
end
dohunt(self)
end

